# coding: utf-8

"""
    Red Rover API

    Access Red Rover data via this REST API for Organizations that have granted you access.    # Authentication  The API is protected by HTTP Basic Authentication.   Each application that connects to the API has a unique username and password that it must supply with every request.    This value needs to be supplied as an HTTP Header: `Authorization=BASIC [hash]`. The value of [hash] is the string username:password base64 encoded.    Endpoints marked for Basic Auth can be used with the Basic Auth username and password that you have been assigned.    # API Information  ## Api Key  Each Red Rover organization that has authorized your application has a unique API Key for your application.  To retrieve the API Key, you can use the Organization endpoint (`api/v1/organization`) which returns an ApiKey uniquely used for each Organization.    You must supply this as an HTTP Header when accessing that organization: `apiKey=[apiKey]`. The domains that require this `ApiKey` header are labeled as 'Requires an ApiKey'.    ## Identifier  Where an `Identifier` can be specified in the route, you may either supply the Red Rover Id of the object (numeric) or the External Id (alpha-numeric). When specifying an External Id, you will need to prepend the External Id with the pipe character`|` (e.g. `|ABC123`). Please note that this is only the case when the External Id is within the route. If the External Id is contained within the body of the request, do not append the pipe character.    ## Rate Limiting  Requests are rate limited at a default rate of 100 requests per minute    ## Transaction Id  Each request can be supplied with a `TransactionId` GUID which will be logged with the request. The `Transaction Id` can be supplied as an HTTP Header: `TransactionId=[transactionId]`. If no `Transaction Id` is supplied, one will be generated for you. Please use a distinct TransactionId for each request.

    The version of the OpenAPI document: v1
    Contact: dev@redroverk12.com
    Generated by OpenAPI Generator (https://openapi-generator.tech)

    Do not edit the class manually.
"""  # noqa: E501


import unittest
import datetime

from redrover_api.models.location_request import LocationRequest

class TestLocationRequest(unittest.TestCase):
    """LocationRequest unit test stubs"""

    def setUp(self):
        pass

    def tearDown(self):
        pass

    def make_instance(self, include_optional) -> LocationRequest:
        """Test LocationRequest
            include_option is a boolean, when False only required
            params are included, when True both required and
            optional params are included """
        # uncomment below to create an instance of `LocationRequest`
        """
        model = LocationRequest()
        if include_optional:
            return LocationRequest(
                address = redrover_api.models.address_request.AddressRequest(
                    address1 = '', 
                    address2 = '', 
                    city = '', 
                    state = 56, 
                    postal_code = '', 
                    country = 56, 
                    longitude = 1.337, 
                    latitude = 1.337, ),
                notes = '',
                code = '',
                location_group_id = redrover_api.models.identifier.Identifier(
                    id = 56, 
                    external_id = '', ),
                available_to_hiring = True,
                phone_number = '',
                time_zone = 56,
                name = '0',
                external_id = ''
            )
        else:
            return LocationRequest(
                address = redrover_api.models.address_request.AddressRequest(
                    address1 = '', 
                    address2 = '', 
                    city = '', 
                    state = 56, 
                    postal_code = '', 
                    country = 56, 
                    longitude = 1.337, 
                    latitude = 1.337, ),
                name = '0',
        )
        """

    def testLocationRequest(self):
        """Test LocationRequest"""
        # inst_req_only = self.make_instance(include_optional=False)
        # inst_req_and_optional = self.make_instance(include_optional=True)

if __name__ == '__main__':
    unittest.main()
